Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034826
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2016-12-27 17:342017-03-15 20:18
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revision1347f0abfe35
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarkmm82
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034826: Error "Entity CostingAlgorithm is not directly readable, only id and identifier properties are readable" in Valued Stock Report

DescriptionWhen used Role has not access to "Costing Algorithm" window, following error is received in "Valued Stock Report" window
Steps To Reproduce1. Access Role window and remove "Costing Algorithm" record in Window Access for "F&B International Group Admin" role
2. Logout/login using same role
3. Access Valued Stock Report window, select any org and run report in HTML format. Error "Entity CostingAlgorithm is not directly readable, only id and identifier properties are readable, property CostingAlgorithm.javaClassName is neither of these." will be raised
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0093033)
AtulOpenbravo (developer)
2016-12-28 06:54

Test Plan
- Login as F&B International Group Admin.
- Change profile to Role as "F&B US Inc - Warehouse".
- Navigate to Valued Stock Report.
- Apply filter Organisation as "F&B US Inc" and click HTML format to view report.
- Report is displayed now.
(0093136)
psanjuan (manager)
2017-01-03 15:11

Issue verified.
(0093137)
psanjuan (manager)
2017-01-03 15:27

Test plan above verified, Issue can be code reviewed and closed.
(0093190)
hgbot (developer)
2017-01-04 16:03

Repository: erp/pmods/org.openbravo.warehouse.reportvaluedstockenhanced
Changeset: 3943a44b5519ed0772e34d34c8df019636838df7
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Dec 28 17:37:26 2016 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.reportvaluedstockenhanced/rev/3943a44b5519ed0772e34d34c8df019636838df7 [^]

Fixes Issue 34826:Error "Entity CostingAlgorithm is not directly readable,
only id and identifier properties are readable" in Valued Stock Report

getCostType method uses Adminmode to access costing algorithm and finally
switches back to previous mode.

---
M src/org/openbravo/warehouse/reportvaluedstockenhanced/ReportValuedStockEnhanced.java
---
(0093191)
hgbot (developer)
2017-01-04 16:03

Repository: erp/pmods/org.openbravo.warehouse.reportvaluedstockenhanced
Changeset: e40235b7828311b7dc3110ae925f2a4b386381f8
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Dec 28 18:08:53 2016 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.reportvaluedstockenhanced/rev/e40235b7828311b7dc3110ae925f2a4b386381f8 [^]

Related To Issue 34826:Update Module Version

---
M src-db/database/sourcedata/AD_MODULE.xml
---
(0093204)
hgbot (developer)
2017-01-04 18:27

Repository: erp/devel/pi
Changeset: 1347f0abfe355476b7dc37dd9ad66716966c3de6
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Dec 28 17:36:54 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/1347f0abfe355476b7dc37dd9ad66716966c3de6 [^]

Fixes Issue 34826:Error "Entity CostingAlgorithm is not directly readable,
only id and identifier properties are readable" in Valued Stock Report

getCostType method uses Adminmode to access costing algorithm and finally
switches back to previous mode.

---
M src/org/openbravo/erpCommon/ad_reports/ReportValuationStock.java
---
(0093205)
markmm82 (developer)
2017-01-04 18:31

Code review + Testing OK
(0093209)
vmromanos (developer)
2017-01-05 08:40

Closed again (wrongly reopened)
(0095067)
hudsonbot (developer)
2017-03-15 20:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-12-27 17:34 maite New Issue
2016-12-27 17:34 maite Assigned To => Triage Finance
2016-12-27 17:34 maite Modules => Core
2016-12-27 17:34 maite Triggers an Emergency Pack => No
2016-12-27 17:35 maite Issue Monitored: networkb
2016-12-27 18:37 markmm82 Assigned To Triage Finance => AtulOpenbravo
2016-12-28 06:54 AtulOpenbravo Note Added: 0093033
2016-12-28 06:55 AtulOpenbravo Status new => scheduled
2017-01-03 15:11 psanjuan Note Added: 0093136
2017-01-03 15:27 psanjuan Note Added: 0093137
2017-01-04 16:03 hgbot Checkin
2017-01-04 16:03 hgbot Note Added: 0093190
2017-01-04 16:03 hgbot Status scheduled => resolved
2017-01-04 16:03 hgbot Resolution open => fixed
2017-01-04 16:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.reportvaluedstockenhanced/rev/3943a44b5519ed0772e34d34c8df019636838df7 [^]
2017-01-04 16:03 hgbot Checkin
2017-01-04 16:03 hgbot Note Added: 0093191
2017-01-04 18:27 hgbot Checkin
2017-01-04 18:27 hgbot Note Added: 0093204
2017-01-04 18:27 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.reportvaluedstockenhanced/rev/3943a44b5519ed0772e34d34c8df019636838df7 [^] => http://code.openbravo.com/erp/devel/pi/rev/1347f0abfe355476b7dc37dd9ad66716966c3de6 [^]
2017-01-04 18:31 markmm82 Review Assigned To => markmm82
2017-01-04 18:31 markmm82 Note Added: 0093205
2017-01-04 18:31 markmm82 Status resolved => closed
2017-01-04 18:31 markmm82 Fixed in Version => 3.0PR17Q1
2017-01-05 08:31 vmromanos Note Added: 0093207
2017-01-05 08:31 vmromanos Status closed => new
2017-01-05 08:31 vmromanos Resolution fixed => open
2017-01-05 08:31 vmromanos Fixed in Version 3.0PR17Q1 =>
2017-01-05 08:40 vmromanos Note Deleted: 0093207
2017-01-05 08:40 vmromanos Status new => scheduled
2017-01-05 08:40 vmromanos Status scheduled => resolved
2017-01-05 08:40 vmromanos Resolution open => fixed
2017-01-05 08:40 vmromanos Note Added: 0093209
2017-01-05 08:40 vmromanos Status resolved => closed
2017-01-09 20:15 markmm82 Fixed in Version => 3.0PR17Q2
2017-03-15 20:18 hudsonbot Checkin
2017-03-15 20:18 hudsonbot Note Added: 0095067


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker